#pragma once
#include "Entity.h"
#define CS_MALCOANI_CREATENAME L"CS_malco_animate"
//ÂíÂ³¿É
class CS_MalcoAni :
    public ActionEntity
{
public:
    CS_MalcoAni();
    void Step() override;
    void SetState(int stateID, int lr) override;
    int act_no = 0;
    int act_wait = 0;
    int ani_wait = 0;
};

std::shared_ptr<Entity> CreateCS_MalcoAni();